#include<iostream>
#include<iomanip>
using namespace std;
main ()
{
	int brp, brv;
	cin >> brv >> brp;
	int v[brv], d[brv], u[brv], l[brp], r[brp], x[brp], k[brp];
	for(int i=1; i<=brp; i++){
		k[i] = 0;
	}
	for(int i=1; i<=brv; i++){
		cin >> d[i] >> u[i];
	}
	for(int i=1; i<=brp; i++){
		cin >> l[i] >> r[i] >> x[i];
	}
	for(int i=1; i<=brp; i++){
		for(int j=l[i]; j<=r[i]; j++){
			if(d[j] <= x[i] && u[j] >= x[i]){
				k[i]++;
			}
	    }
	}
	for(int i=1; i<=brp; i++){
		cout << k[i] << endl;
	}
}